# Continuus stuff called from Custom Menu

import vcs, traceback, string
import Continuus
import CCMlog

from CCMlog import system, PrintErrorLog

def History(workFiles=""):
	try:
		theFiles = string.split(workFiles)
		firstFile = theFiles[0]
		rc, out = system("ccm history -g '"+firstFile+"'")
	except:
		print "Exception in History():"
		traceback.print_exc()

def CreateProjectDir(absolutePrivateProjectDir=""):
	try:
		Continuus.CreateProjectDir(absolutePrivateProjectDir)
	except:
		print "Exception in CreateProjectDir():"
		traceback.print_exc()

if __name__=='__main__':
	pass


